type: google.api.Service
config_version: 3
name: storage.googleapis.com
title: Cloud Storage API

apis:
- name: google.storage.v1.Storage

enums:
- name: google.storage.v1.ServiceConstants.Values

documentation:
  summary: 'Lets you store and retrieve potentially-large, immutable data objects.'
  overview: |-
    The Google Cloud Storage API allows applications to read and write data
    through the abstractions of buckets and objects, which are similar to
    directories and files except that buckets cannot contain other buckets,
    and directory-level operations (like directory rename) are not supported.
    Buckets share a single global namespace, and each bucket belongs to a
    specific project that has an associated owner that pays for the data
    stored in the bucket. This API is accessed using standard gRPC requests.

authentication:
  rules:
  - selector: 'google.storage.v1.Storage.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform,
        https://www.googleapis.com/auth/cloud-platform.read-only,
        https://www.googleapis.com/auth/devstorage.full_control,
        https://www.googleapis.com/auth/devstorage.read_only,
        https://www.googleapis.com/auth/devstorage.read_write
